Bug 6447 - Installer suggestions..
Installer suggestions..
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
6.1
i386 Linux
low Severity low
: ---
: ---
Assigned To: Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-10-28 00:49 EDT by egalanos.
Modified: 2015-01-07 18:39 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-09-19 18:55:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description egalanos. 1999-10-28 00:49:03 EDT
Bug reports already submitted for problems, now suggestions
...

* It would be simpler if the installation choices at the
begining was simply brought down to

"Standard graphical install"
"Advanced"

The advanced could then let the user choose between text and
graphical, and weather to allow autoprobbing. Advanced would
also enable extra control over the install.

* Disk druid is rather limiting. It would be nice if fdisk
could be used, or better yet if disk druid allowed a user
to (when in advanced mode only):
	+ select weather a drive is a primary partition, or
	 logical (none of this auto selection).
	+ allow a user to set mount options eg nosuid
	+ options for drive format, eg blocksize, sparse
	superblock flag, reserved space for root, disk label

* Display disk label is disk druid.

* Hard drive install.
	+ should allow raw block devices to be mounted eg
	  hdc harddrive could contain a filesystem (no
	  partition table) (in advanced mode only).
	+ possibly add a browse disks option.

* Network installer:
	+ The default gateway is automatically filled in
	  when doing configuring a machines network card.
	  this can be really bad, as it can interfere with
	  pppd setting a default gateway, and thus internet
	  access (if the machine has a network card + modem)

* Lack of swap selector:
	+ Installer automatically chooses swap partition,
	  when there is multiple swap partitions (eg over
	  multiple drives). Should bring up selection
	  dialog (in advanced mode).

* Package selection categories:
	+ It would be nice for packages to be in multiple
	  categories. eg I would like to be able to turn
	  off all compatibility libraries (qt1.x ncurses3,
	  ...).

Well thats about it for suggestions.
Comment 1 Jay Turner 1999-11-30 13:26:59 EST
These issues have been forwarded to a developer for further action.
Comment 2 Jay Turner 2000-02-08 14:19:59 EST
These suggestions have been added to a list of features for future releases.
Comment 3 Michael Fulbright 2000-09-19 18:55:28 EDT
Most of these issues have been addressed in the Pinstripe beta.

Note You need to log in before you can comment on or make changes to this bug.